### Function

# Gsk Strokenew

since: 4.14

#### Declaration [src]

    GskStroke*
    gsk_stroke_new (
      float line_width
    )

#### Description [src]

Creates a new `GskStroke` with the given `line_width`.

Available since: 4.14

#### Parameters

`line_width`

  Type: `float`

  Line width of the stroke. Must be > 0

#### Return value

Type: `GskStroke`

A new `GskStroke`

The caller of the function takes ownership of the data, and is responsible for freeing it.